Test Users

Get test user

Returns a test user.

GET /api/public/v1/test-users/{testUserId}

Get test user

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/test-users/{TESTUSERID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "<string>",
  "createdAt": 1,
  "name": "<string>",
  "description": "<string>",
  "email": "<string>",
  "database": "test",
  "isDisabled": true
}

Test user found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • testUserId string required

    Test user ID.

Response

application/json
  • id string

    Opaque identifier for this resource.

  • createdAt number

    Unix timestamp in milliseconds when the resource was created.

  • name string

    Human-readable name for the resource.

  • description string | null

    Human-readable description for the resource.

  • email string | null

    Email address associated with the resource.

  • database string enum enum

    Which Bubble database the credential should use. Allowed values: test, live.

  • isDisabled boolean

    Whether the test user is disabled.